[toolchain]
channel = "1.89.0"
components = [
  "rustfmt",
  "clippy",
  "rust-docs",
  "rust-src",
  "rust-analyzer",
]
targets = [
  "aarch64-apple-darwin",      # macOS Apple Silicon
  "x86_64-apple-darwin",       # macOS Intel
  "x86_64-pc-windows-msvc",    # Windows (most common)
  "x86_64-unknown-linux-gnu",  # Linux x64 (glibc)
  "aarch64-unknown-linux-gnu", # Linux ARM64 (e.g. Raspberry Pi / servers)
  "aarch64-linux-android",
  "aarch64-apple-ios",
]
profile = "default"
